Skip to main content
GET
/
api
/
v1
/
accounts
/
{accountId}
/
projects
/
{projectId}
/
gpu-clusters
List GPU clusters
curl --request GET \
  --url https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/gpu-clusters
import requests

url = "https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/gpu-clusters"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/gpu-clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "clusters": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "account_id": "<string>",
      "project_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": "<string>",
      "resources": [
        {
          "external_id": "<string>",
          "name": "<string>",
          "resource_type": "<string>",
          "status": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "primary_ip": "<string>"
        }
      ]
    }
  ],
  "total_count": 123,
  "count": 123,
  "message": "<string>"
}

Headers

x-account-id
string

Path Parameters

accountId
string
required
projectId
string
required

Query Parameters

status
string
limit
integer
offset
integer
order_by
string
order_dir
string

Response

OK

clusters
object[]
required
total_count
integer<int64>
required
count
integer
required
message
string
required